GCLOUD_KMS_KEYRINGS_SET-IAM-POLICY(1)

NAME

gcloud kms keyrings set-iam-policy - set the IAM policy for a keyring

SYNOPSIS

gcloud kms keyrings set-iam-policy KEYRING POLICY_FILE [--location=LOCATION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Sets the IAM policy for the given keyring as defined in a JSON file. See https://cloud.google.com/iam/docs/managing-policies for details of the policy file format and contents.

POSITIONAL ARGUMENTS

    KEYRING
        Name of the keyring whose IAM policy to update.

    POLICY_FILE
        JSON file with the IAM policy

FLAGS

    --location=LOCATION
        The location of the requested resource.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command will read am IAM policy defined in a JSON file 'policy.json' and set it for the keyring fellowship with location global:
    $ gcloud kms keyrings set-iam-policy fellowship policy.json \
        --location global